<!-- title section -->
<div class="app-title-section">
  <!-- left -->
  <div class="app-left">
    <!-- icon -->
    <ng-content select="[icon]"></ng-content>

    <!-- title -->
    <div class="app-title">
      {{ title }}
    </div>

    <!-- sub title -->
    <div *ngIf="subTitle" class="app-sub-title">
      {{ subTitle }}
    </div>
  </div>

  <!-- total -->
  <div class="app-total">
    {{ total }}
    <!-- dropdown -->
    <span (click)="dropDownToggle()" class="dh ms mt-2 ml-2">
      <app-icon-arrow-drop-down *ngIf="direction === true; else desc"></app-icon-arrow-drop-down>

      <!-- up icon -->
      <ng-template #desc>
        <app-icon-arrow-drop-up></app-icon-arrow-drop-up>
      </ng-template>
    </span>
  </div>
</div>

<!-- bar chart section -->
<div class="app-bar-section"></div>

<!-- reload section -->
<div class="app-reload-section ds mh">
  <!-- reload icon -->
  <app-icon-reload (click)="emitReload()"></app-icon-reload>

  <!-- last update section -->
  <div class="app-last-update">
    <!-- label -->
    <div class="app-label">
      LAST UPDATE:
    </div>

    <!-- times -->
    <div class="app-time">
      {{ lastUpdate | date: 'MMMM dd, yyyy' }}
    </div>

    <div class="app-time">
      {{ lastUpdate | date: 'hh:mm' }}
    </div>
  </div>
</div>
